GET
/DescribeEntity#catalog&entityId
http://catalog.marketplace.{region}.amazonaws.com/DescribeEntity#catalog&entityIdReturns the metadata and content of the entity.
Access Token Required: API Key
Query Params
catalogstringrequired
Required. The catalog related to the request. Fixed value: <code>AWSMarketplace</code>
entityIdstringrequired
Required. The unique ID of the entity to describe.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://catalog.marketplace.{region}.amazonaws.com/DescribeEntity#catalog&entityId' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}